%define __libtoolize    /bin/true

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define epoch_arts 30000001

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir	%{_prefix}/lib/qt3

# Define short-cuts for libification
%define major	1

%if %mdkversion >= 920
%define libname	%mklibname arts %{major}
%else
%define libname libarts%{major}
%endif

%define lib_name_orig libarts

Name:	arts
Summary:	Arts - Libraries
Version:  1.5.6
Release: %mkrel 1
Epoch: %{epoch_arts}
Group: Graphical desktop/KDE
License:	ARTISTIC BSD GPL_V2 LGPL_V2 QPL_V1.0
BuildRoot: %_tmppath/%name-%version-%release-root
PreReq: %{libname} = %{epoch_arts}:%version-%release
URL: http://www.kde.org
Packager:       Mandriva Linux KDE Team <kde@mandriva.com>
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Patch0: arts-1.5.3-resmgr.patch
Patch2: arts-1.5.3-mcop-msgkill.patch
Patch3: arts-1.5.4-artsdsp-args.patch
Patch4: arts-1.5.0-check_tmp_dir.patch
BuildRequires: audiofile-devel
BuildRequires: qt3-devel
BuildRequires: glib2-devel
BuildRequires: alsa-lib-devel
BuildRequires: X11-devel
BuildRequires: automake1.7 
BuildRequires:	autoconf2.5
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	jackit-devel
BuildRequires: resmgr-devel
BuildConflicts: mas-devel
Obsoletes:	aethera =< 0.9.3-5mdk
Obsoletes: brahms =< 1.02-3mdk
Obsoletes: dotNETStyle =< 0.9.2-2mdk 
Obsoletes: drivetweak-kde- =< 0.9.1-1mdk 
Obsoletes: guarddog =< 1.9.14-1mdk
Obsoletes:  k3b =< 0.5.1-2mdk
Obsoletes: karchiver =< 2.0.5-3mdk
Obsoletes: kdestudio =< 2.0.0-10mdk 
Obsoletes: kdevmon =< 0.4.5-2mdk
Obsoletes: keduca =< 0.4-6mdk
Obsoletes: keurocalc =< 0.5.8-1mdk
Obsoletes:  kfontinst =< 0.10-1mdk
Obsoletes: kgesture =< 0.3-6mdk
Obsoletes: kguitar =< 0.4-2mdk 
Obsoletes: kinkatta =< 1.00-1mdk
Obsoletes: kmag =< 0.7-1mdk
Obsoletes: kmymoney2 =< 0.4-1mdk
Obsoletes: knetfilter =< 2.2.5-1mdk 
Obsoletes: komba2 =< 0.72-1mdk 
Obsoletes: koncd =< 1.0rc2-2mdk
Obsoletes: konnector =< 0.5-4mdk
Obsoletes:	konverse =< 0.2-3mdk
Obsoletes: kover =< 0.8.3-2mdk
Obsoletes: kreatecd =< 1.1.0-2mdk
Obsoletes: krpmbuilder =< 0.2.6-4mdk
Obsoletes: krusader =< 1.01-1mdk
Obsoletes: kshowmail =< 2.2.3-1mdk
Obsoletes: ksnuffle =< 2.2-6mdk
Obsoletes: ksplashml =< 0.92-1mdk
Obsoletes: kstars =< 0.8.5-1mdk
Obsoletes: kstocks =< 2.0.2-8mdk
Obsoletes: ktexmaker2 =< 1.7-2mdk
Obsoletes: ktouch =< 1.0-4mdk
Obsoletes: kuickshow =< 0.8.2-3mdk
Obsoletes:  kwatch =< 2.2.0-1mdk
Obsoletes: kwave =< 0.6.3-3mdk
Obsoletes: kwintv =< 0.8.11-5mdk
Obsoletes: kxicq2 =< 0.7.6-1mdk
Obsoletes: kxmleditor =< 0.7.1-2mdk
Obsoletes: libbrahms0 =< 1.02-3mdk
Obsoletes: libkarchiver2 =< 2.0.5-3mdk
Obsoletes: libkguitar1 =< 0.4-2mdk
Obsoletes: libxmms-kde1 =< 6.5-5mdk
Obsoletes: sakuraplayer =< 1.0.6-1mdk umlmodeller =< 1.0.3-5mdk 
Obsoletes: cervisia =< 1.4.1-7mdk
Obsoletes: kbiff =< 3.5.4-3mdk
Obsoletes:  kcpuload =< 1.90-11mdk
Obsoletes: kdbg =< 1.2.5-1mdk
Obsoletes: kdeaddons3
Obsoletes: kdeadmin3
Obsoletes: kdeartwork3
Obsoletes: kdebase3
Obsoletes: kdebase3-nsplugins
Obsoletes: kdebase3-devel
Obsoletes: kdebindings3
Obsoletes: kdegames3
Obsoletes: kdegraphics3
Obsoletes: kdemultimedia3
Obsoletes: kdemultimedia3-aktion
Obsoletes: kdenetwork3
Obsoletes: kdepim3
Obsoletes: kdesdk3
Obsoletes: kdetoys3
Obsoletes: kdeutils3
Obsoletes: kdevelop3
Obsoletes: klogic =< 1.35-1mdk
Obsoletes: klyx =< 2.0-17mdk
Obsoletes: kmago =< 1.1.2-5mdk
Obsoletes: knetload =< 1.91-8mdk
Obsoletes: koffice =< 1.1.1-14mdk
Obsoletes: kpl2 =< 2.3.0-1mdk
Obsoletes: krootwarning =< 8.2-13mdk
Obsoletes: krozat =< 8.2-13mdk
Obsoletes: ksetiwatch =< 2.2.5-1mdk
Obsoletes: ktelnet =< 0.7b1-13mdk
Obsoletes: kvirc =< 2.1.1-5mdk
Obsoletes: libqt2-devel =< 2.3.1-29mdk
Obsoletes: licq-kde =< 1.0.4-2mdk
Obsoletes: qt2-designer =< 2.3.1-29mdk
Obsoletes: qtrans =< 0.1.1-7mdk
Obsoletes: quanta =< 2.0.1-2mdk
Obsoletes: kdelibs-sound 
Obsoletes:	%{libname}-static-devel
Obsoletes:  arts3 < %{epoch_arts}:1.5.3
Provides:	arts3 = %{epoch_arts}:%version-%release

%description
aRts is a short form for "analog realtime synthesizer". The idea of the whole 
thing is to create/process sound using small modules which do certain tasks. 
These may be create a waveform (oscillators), play samples, filter data, add 
signals, perform effects like delay/flanger/chorus, or output the data to the   
soundcard.

%files
%defattr(-,root,root,-)
%_bindir/artscat
%_bindir/artsd    
%_bindir/artsplay  
%_bindir/artsshell    
%_bindir/artsdsp  
%_bindir/artsrec   
%_bindir/artswrapper

#----------------------------------------------------------------------

%package -n %{libname}
Group: Graphical desktop/KDE
Summary:	The libraries for arts 
Obsoletes:  libarts2, libarts3
Obsoletes: libarts < %{epoch_arts}:1.5.3
Provides: libarts = %{epoch_arts}:%version-%release
Provides: %lib_name_orig = %{epoch_arts}:%version-%release

%description -n %{libname}
Libraries needed for arts.

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root,-)
%_libdir/*.la
%_libdir/*.so.*
%dir %_libdir/mcop/
%_libdir/mcop/*

#----------------------------------------------------------------------

%package -n %{libname}-devel 
Group: Development/KDE and Qt
Summary:	Development files for arts
Requires: %{libname} = %{epoch_arts}:%version-%release
Obsoletes: libarts2-devel
Obsoletes: libarts3-devel
Provides: libarts3-devel = %{epoch_arts}:%version-%release
Provides: %lib_name_orig-devel = %{epoch_arts}:%version-%release
Provides: arts-devel
Provides: libarts-devel
Conflicts:	arts <= %epoch_arts:1.5.3-5mdv2007

%description -n %{libname}-devel
Development libraries for arts.

%files -n %{libname}-devel
%defattr(-,root,root,-)
%_bindir/artsc-config
%multiarch %{multiarch_bindir}/artsc-config
%multiarch %{multiarch_includedir}/arts/gsl/gslconfig.h
%_bindir/mcopidl
%_libdir/*.so
%_includedir/*

#----------------------------------------------------------------------

%package -n  %{libname}-static-devel
Group:         Development/KDE and Qt
Summary:       Static library files for arts
Requires:      %{libname} = %{epoch_arts}:%version-%release
%if %mdkversion >= 920
Obsoletes:  libarts-static-devel
%endif

%description -n %{libname}-static-devel
Static development libraries for arts.

#----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .resmgr
%patch2 -p1 -b .msgkill
%patch3 -p1 -b .artsdsp-args
%patch4 -p1 -b .tmpdir

%build
# Patch from resmgr needs rebuild builsystem
make -f admin/Makefile.common
QTDIR=%qtdir

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%endif
	--disable-static \
   --disable-rpath \
%if "%{_lib}" != "lib"
   --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
   --with-pic \
   --disable-libfam \
%if %mdkversion >= 200700
   --without-nas \
%endif			
   --with-ipv6-lookup=auto \
%if %mdkversion < 200700
   --x-includes=/usr/X11R6/include \
   --x-libraries=/usr/X11R6/%_lib \
%endif
   --with-alsa

%make


%install
rm -fr %buildroot

%makeinstall_std
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/artsc-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/arts/gsl/gslconfig.h


%clean
rm -fr %buildroot



%changelog
* Thu Jan 25 2007 Laurent Montel <lmontel@mandriva.com> 1.5.6-1mdv2007.0
+ Revision: 113352
- 1.5.6

* Thu Nov 16 2006 Laurent Montel <lmontel@mandriva.com> 30000001:1.5.5-2mdv2007.1
+ Revision: 84614
- Rebuild ?
- Add Packager tag

  + Helio Chissini de Castro <helio@mandriva.com>
    - Arts update for upcoming kde release 3.5.5

* Mon Sep 11 2006 Helio Chissini de Castro <helio@mandriva.com> 30000001:1.5.4-6mdv2007.0
+ Revision: 60846
- Due to Michael Scherer observations on bug
  http://qa.mandriva.com/show_bug.cgi?id=19844, arts on demand patch is
  causing all the trouble. Since we're not intend to introduce new bugs
  reverting for old arts, this patch ws removed and in addition of last tmp_dir
  one, should fix the soundwrapper program.
- Added proper tmpdir check and creation to avoid soundwrapper return error when try to use arts under non kde environments
- Fix build. resmgr patch touch .am files

  + Laurent Montel <lmontel@mandriva.com>
    - New package (1.5.4-4mdv 2006-09-04)
      fix artsdsp to pass args with blanks to the child process
      Patch from Gb
    - New package (1.5.4-3mdv 2006-09-24)
      Fix arts bugs #132924
    - mark gslconfig.h as multiarch

* Wed Aug 02 2006 Laurent Montel <lmontel@mandriva.com> 30000001:1.5.4-1mdv2007.0
+ Revision: 42938
- Release 1.5.4 (2006/08/02)
  (info about new package repsys doesn't give it)
- Re-disable debug !

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added official 1.5.4 tarball
    - Removed non-necessary 64 patch ( artsdsp now detect right library dir )
    - Enable mcop message patch with safe return

* Wed Jul 19 2006 Helio Chissini de Castro <helio@mandriva.com> 30000001:1.5.3-6mdv2007.0
+ Revision: 41665
- Updated with branch source from 20060719
- Misc's patch to try a solution for http://qa.mandriva.com/show_bug.cgi?id=19844. Under observation...
- Patch from suse to enable start on demand for arts
- The usus libtoolize blacklist to remove rpath patchs
- Added resmgr as build require for gsl scheduler

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com> 30000001:1.5.3-5mdv2007.0
+ Revision: 41582
- it's time to remove debug
- Fix compile under x86_64
- Rebuild
- Fix setuid
- 1.5.3
- Rebuild with new glibc-gcc
- Disable nas support not compile fine into xorg
- Rebuild with new xorg
- fix build on x86_64
- 1.5.2
  Remove unused patch
- arts-1.5.1
- Fix: enable debug for cooker
- Create new package to restore svn history after a f**k
  guy who thinks that he can use invalid email and upload
  package without authorization.
- Real kde-3.5 version
- use %%mkrel
- 1.5.0 (named as rc1)
- Rebuild
- 1.4.92
- Disable debug now
- 1.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - We are Mandriva now
    - Uploading package ./arts


* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-4mdk
- Rebuild with new gcc

* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-3mdk
- Reactivate -fvisibility same as for ppc (ask by Christiaan Welvaart <cjw@daneel.dyndns.org>)

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-2mdk
- Change email
- Fix spec

* Tue Mar 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0
- Reactive debug
- use --enable-new-ldflags

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-6mdk
- Disable debug

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-5mdk
- Don't link with contrib lib

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-4mdk
- Allow to disable visibility

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-3mdk
- Rebuild

* Thu Dec 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-2mdk
- Changes sources to activate -fvisibility (improvment of speed) 

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-7mdk
- Fix package uploaded by Christiaan Welvaart (When we move a file
  we must create conflict otherwise we can't update version !)

* Sat Nov 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.3.1-6mdk
- move mcopidl to the -devel package

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-5mdk
- Remove requires on arts into libarts

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-4mdk
- Remove %%buildfor

* Fri Oct 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-3mdk
- Fix spec file

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-2mdk
- Fix spec file
- Fix mem leak

* Thu Oct 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1
- Fix spec file

* Thu Sep 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.0-2mdk
- Clean spec file

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-8mdk
- Fix spec file (again)

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-7mdk
- Fix spec file

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-6mdk
- Remove debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-5mdk
- fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-4mdk
- Remove rpath

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-3mdk
- Add explicite requires on libalsa => 1.0.5-2mdk for MDK 10.1 (fix all kdemultimedia crash and arts crash)

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-2mdk
- Rebuild

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Thu Jun  3 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.2.2-4mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-3mdk
- Fix spec file

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Fix amd64 patch for artsdsp

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-3mdk
- Rebuild with debug

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- test %%configure
- Use mdkversion

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- Sync with CVS (apply patch to detect alsa)

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Sync with CVS (Don't warn when not needed)

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2

* Fri Jan 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.94-4mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.94-3mdk
- Sync with CVS
- Add Gwenole patch

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.94-2mdk
- Rebuild with new glibc/xfree

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.94-1mdk
- beta2 from cvs

* Thu Nov 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-5mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-4mdk
- Fix provides

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-3mdk
- Fix requires

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-2mdk
- Fix test with mandrake_release

* Tue Oct 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-1mdk
- beta1

* Fri Oct 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.92-1mdk
- 1.1.92

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.91-2mdk
- Add support for MDK9.3
- Enable-debug
- Fix spec file

* Sun Sep 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.91-1mdk
- 1.1.91

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-7mdk
- Update code from CVS (Fix other crash)

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-6mdk
- Update code (fix crash)

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-5mdk
- Fix typo

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-4mdk
- Fix cputoolize

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-3mdk
- Fix Obsoletes

* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-2mdk
- cputoolize, mklibname, buildrequires, fix amd64 build ( Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Tue Jul 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-8mdk
- Fix build on cooker (add autoconf2.5 automake1.7 Buildrequires) Bug reported by Gtz Waschk thanks:

* Tue Jul 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-7mdk
- Clean spec file

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-6mdk
- Fix requires

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-5mdk
- Rebuild

* Wed Jul 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-4mdk
- update code 

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-3mdk
- test

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-2mdk
- Fix spec file bug reported by David Walser

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2
- Various fixes because Stefan doesn't know how to test packages

* Fri May 16 2003 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-5mdk
- commented out %%dir %%_bindir (belongs to filesystem)
- rebuild for new dependencies
- moved 2 .so$ files to -devel package
- Todo: BuildRequires that can go: XFree86-devel XFree86-libs diffutils
  freetype2 gawk gcc-cpp libMesaGLU1 libbinutils2 libbzip2_1 libjpeg62
  libmng1 libqt3 libstdc++-devel libtermcap2 zlib1

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-4mdk
- Add requires

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-3mdk
- Obsolete libarts-static-devel

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Add buildfor9.2

* Thu Mar 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- arts-1.1.1

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-2mdk
- Add patch3: fix mem leak
- Add patch4: fix crash

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-1mdk
- kde3.1

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc6.3mdk
- Remove debug

* Wed Jan 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc6.2mdk
- Apply Gtz Waschk <waschk@informatik.uni-rostock.de> patch create static lib
for link with mplayer

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc6.1mdk
- rc6

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc5.4mdk
- Add patch2 : fix kdesu problem (kdesu konqueror doesn't work)

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc5.3mdk
- Remove buildconflict with libmad0 (now it's in main) 

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc5.2mdk
- Rc5
- Add patch1 : fix detect glib

* Tue Nov 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc3.2mdk
- Rebuild

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc3.1mdk
- rc3

* Sat Nov 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc2.3mdk
- Fix url thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc2.2mdk
- rebuild with fontconfig

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc2.1mdk
- rc2

* Tue Oct 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc1.1mdk
- RC1

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.beta2.4mdk
- Add buildconflict with libmad0

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.beta2.3mdk
- Fix group thanks to Titi

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.beta2.2mdk
- Fix spec file

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.beta2.1mdk
- 3.1-beta2

* Fri Oct 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.4-1mdk
- 3.0.4

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-7mdk
- Remove debuggage

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-6mdk
- Update code
- Remove debuggage

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-4mdk
- Rebuild against gcc-3.2

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-3mdk
- Automated rebuild with gcc3.2

* Wed Jul 24 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-2mdk
- Set QTDIR accordingly
- s/buildfor8_3/buildfor9_0/
- Search for qt/kde libraries in the right directories
- Ship *.so in -devel package. *.la should go there as well unless you
  know some other applications are sortof ltdlopen'ing arts libraries
- Rpmlint fixes: configure-without-libdir-spec, strange-permission

* Mon Jul 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-1mdk
- New version 1.0.3

* Wed Jul 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-2mdk
- Rebuild

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- kde3.0.2

* Tue Jun 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-13mdk
- Fix build requires bugs reported by Borsenkow Andrej <Andrej.Borsenkow@mow.siemens.ru>

* Thu Jun 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-12mdk
- Re-enable debug otherwise it's not easy to debug kde.

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-11mdk
- Fix buildrequires

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-10mdk
- Fix conflict

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-9mdk
- Fix epoch

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-8mdk
- Fix provides/obsoletes

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-7mdk
- Fix

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-6mdk
- Obsoletes libarts2 libarts2-devel

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-5mdk
- Fix obsoletes

* Wed May 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-3mdk
- Obsoletes all kde2.x appl

* Tue May 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Fix spec file


* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- kde3.0.1

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-6mdk
- kde3.0.1
- Obsolete kde2.x

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-5mdk
- Rebuild against gcc-3.1

* Fri May 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-4mdk
- Update code from KDE_3_0_BRANCH

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-3mdk
- Rebuild against libalsa2

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-2mdk
- Remove patch1, break sound compilation 
 Bug reported by Maks Orlovich <mo002j@mail.rochester.edu>


* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-1mdk
- arts 1.0.0 for kde3.0

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.9-2mdk
- Fix buildrequires for 8.1

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.9-1mdk
- kde3.0 rc3

* Sun Mar 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.5mdk
- Rebuild

* Sat Mar 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- First release

